CommonOptions Class Reference

Common command line options. More...

## Public Member Functions

| CommonOptions (const JobShopOptions &opt)
| Initialize.
Public Member Functions inherited from Gecode::Search::Options
| Options (void)
| Initialize with default values.
Options | expand (void) const
| Expand with real number of threads.

## Additional Inherited Members

Public Attributes inherited from Gecode::Search::Options
bool | clone
| Whether engines create a clone when being initialized.
double | threads
| Number of threads to use.
unsigned int | c_d
| Create a clone after every c_d commits (commit distance).
unsigned int | a_d
| Create a clone during recomputation if distance is greater than a_d (adaptive distance).
unsigned int | d_l
| Discrepancy limit (for LDS).
unsigned int | assets
| Number of assets (engines) in a portfolio.
unsigned int | slice
| Size of a slice in a portfolio (in number of failures).
unsigned int | nogoods_limit
| Depth limit for extraction of no-goods.
Stop * | stop
| Stop object for stopping search.
Cutoff * | cutoff
| Cutoff for restart-based search.
SearchTracer * | tracer
| Tracer object for tracing search.
Static Public Attributes inherited from Gecode::Search::Options
static const Options | def
| Default options.

## Detailed Description

Common command line options.

Definition at line 350 of file job-shop.cpp.

## Constructor & Destructor Documentation

## CommonOptions()

CommonOptions::CommonOptions | ( | const JobShopOptions & | opt | ) |

inline

Initialize.

Definition at line 353 of file job-shop.cpp.

The documentation for this class was generated from the following file:

- examples/job-shop.cpp